Commit 64034824 authored by Gilles Chanteperdrix's avatar Gilles Chanteperdrix

Fix libpng detection

git-svn-id: svn+ssh://svn.gna.org/svn/xenomai/trunk@2457 c6d672ea-8702-0410-b560-f74c916a59fe
parent 229d5eac
2007-05-21 Gilles Chanteperdrix <gilles.chanteperdrix@laposte.net>
* configure.in: Fix libpng detection to work with recent versions
of libpng.
2007-02-01 Jim Huang <jserv.tw@gmail.com>
* sim/vm/thread.cc, sim/vm/thread.h: Fix compilation w/ gcc-4.x.
......
......@@ -26809,9 +26809,149 @@ _ACEOF
fi
{ echo "$as_me:$LINENO: checking for png_read_init in -lpng" >&5
echo $ECHO_N "checking for png_read_init in -lpng... $ECHO_C" >&6; }
if test "${ac_cv_lib_png_png_read_init+set}" = set; then
if test "${ac_cv_header_png_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for png.h" >&5
echo $ECHO_N "checking for png.h... $ECHO_C" >&6; }
if test "${ac_cv_header_png_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5
echo "${ECHO_T}$ac_cv_header_png_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking png.h usability" >&5
echo $ECHO_N "checking png.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <png.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking png.h presence" >&5
echo $ECHO_N "checking png.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <png.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: png.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: png.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: png.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: png.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: png.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: png.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: png.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: png.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: png.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: png.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: png.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
## ----------------------------------- ##
## Report this to xenomai-help@gna.org ##
## ----------------------------------- ##
_ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
;;
esac
{ echo "$as_me:$LINENO: checking for png.h" >&5
echo $ECHO_N "checking for png.h... $ECHO_C" >&6; }
if test "${ac_cv_header_png_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_png_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5
echo "${ECHO_T}$ac_cv_header_png_h" >&6; }
fi
if test $ac_cv_header_png_h = yes; then
:
else
{ { echo "$as_me:$LINENO: error: Cannot find png.h (part of libpng development version) on this system" >&5
echo "$as_me: error: Cannot find png.h (part of libpng development version) on this system" >&2;}
{ (exit 1); exit 1; }; }
fi
{ echo "$as_me:$LINENO: checking for png_get_io_ptr in -lpng" >&5
echo $ECHO_N "checking for png_get_io_ptr in -lpng... $ECHO_C" >&6; }
if test "${ac_cv_lib_png_png_get_io_ptr+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
......@@ -26829,11 +26969,11 @@ cat >>conftest.$ac_ext <<_ACEOF
#ifdef __cplusplus
extern "C"
#endif
char png_read_init ();
char png_get_io_ptr ();
int
main ()
{
return png_read_init ();
return png_get_io_ptr ();
;
return 0;
}
......@@ -26856,21 +26996,21 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_png_png_read_init=yes
ac_cv_lib_png_png_get_io_ptr=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_png_png_read_init=no
ac_cv_lib_png_png_get_io_ptr=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_png_png_read_init" >&5
echo "${ECHO_T}$ac_cv_lib_png_png_read_init" >&6; }
if test $ac_cv_lib_png_png_read_init = yes; then
{ echo "$as_me:$LINENO: result: $ac_cv_lib_png_png_get_io_ptr" >&5
echo "${ECHO_T}$ac_cv_lib_png_png_get_io_ptr" >&6; }
if test $ac_cv_lib_png_png_get_io_ptr = yes; then
LIBPNG_OK=1
else
{ { echo "$as_me:$LINENO: error: Cannot find libpng (development version) on this system" >&5
......
......@@ -328,7 +328,10 @@ AC_CHECK_LIB(nsl, gethostbyname,
AC_CHECK_LIB(socket, connect,
[MVM_LDADD="$MVM_LDADD -lsocket" ; AC_DEFINE(HAVE_LIBSOCKET,1,[config])]
)
AC_CHECK_LIB(png, png_read_init, [LIBPNG_OK=1],
AC_CHECK_HEADER(png.h,,
AC_MSG_ERROR([Cannot find png.h (part of libpng development version) on this system])
)
AC_CHECK_LIB(png, png_get_io_ptr, [LIBPNG_OK=1],
AC_MSG_ERROR([Cannot find libpng (development version) on this system])
)
AC_CHECK_LIB(z, deflate, [LIBZ_OK=1],
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment